diff -ur sc2mpd-1.1.5/work/openhome/ohNet/Makefile sc2mpd-1.1.5.altered/work/openhome/ohNet/Makefile
--- a/openhome/ohNet/Makefile   2020-11-16 20:49:27.220636318 -0600
+++ b/openhome/ohNet/Makefile   2020-11-16 20:46:19.822974263 -0600
@@ -310,13 +310,13 @@
 cflags_base = -fexceptions -Wall $(version_specific_cflags_third_party) -pipe -D_GNU_SOURCE -D_REENTRANT -DDEFINE_$(endian)_ENDIAN -DDEFINE_TRACE $(debug_specific_cflags) -fvisibility=hidden $(platform_cflags)
 cflags_third_party = $(cflags_base) -Wno-int-to-pointer-cast
 ifeq ($(nocpp11), yes)
-    cppflags = $(cflags_base) -Werror
+    cppflags = $(cflags_base)
 else ifeq ($(platform),IntelMac)
-    cppflags = $(cflags_base) -std=c++11 -Werror
+    cppflags = $(cflags_base) -std=c++11
 else
-    cppflags = $(cflags_base) -std=c++0x -Werror
+    cppflags = $(cflags_base) -std=c++0x
 endif
-cflags = $(cflags_base) -Werror
+cflags = $(cflags_base)
 inc_build = Build/Include
 includes = -IBuild/Include/ $(version_specific_includes)
 bundle_build = Build/Bundles
@@ -371,7 +371,7 @@
        jar = $(JAVA_HOME)/bin/jar
 endif

-java_cflags = -fexceptions -Wall $(platform_java_cflags) $(version_specific_java_cflags) -Werror -pipe -D_GNU_SOURCE -D_REENTRANT -DDEFINE_$(endian)_ENDIAN -DDEFINE_TRACE $(debug_specific_cflags) $(platform_cflags)
+java_cflags = -fexceptions -Wall $(platform_java_cflags) $(version_specific_java_cflags) -pipe -D_GNU_SOURCE -D_REENTRANT -DDEFINE_$(endian)_ENDIAN -DDEFINE_TRACE $(debug_specific_cflags) $(platform_cflags)
 jarflags = cf
 dirsep = /
 prefix = /usr/local
diff -ur sc2mpd-1.1.5/work/openhome/ohNetGenerated/Makefile sc2mpd-1.1.5.altered/work/openhome/ohNetGenerated/Makefile
--- a/openhome/ohNetGenerated/Makefile  2020-11-16 20:49:27.262636458 -0600
+++ b/openhome/ohNetGenerated/Makefile  2020-11-16 20:45:36.594809974 -0600
@@ -273,13 +273,13 @@
 cflags_base = -fexceptions -Wall $(version_specific_cflags_third_party) -pipe -D_GNU_SOURCE -D_REENTRANT -DDEFINE_$(endian)_ENDIAN -DDEFINE_TRACE $(debug_specific_cflags) -fvisibility=hidden $(platform_cflags)
 cflags_third_party = $(cflags_base) -Wno-int-to-pointer-cast
 ifeq ($(nocpp11), yes)
-    cppflags = $(cflags_base) -Werror
+    cppflags = $(cflags_base)
 else ifeq ($(platform),IntelMac)
-    cppflags = $(cflags_base) -std=c++11 -Werror
+    cppflags = $(cflags_base) -std=c++11
 else
-    cppflags = $(cflags_base) -std=c++0x -D__STDC_VERSION__=199901L -Werror
+    cppflags = $(cflags_base) -std=c++0x -D__STDC_VERSION__=199901L
 endif
-cflags = $(cflags_base) -Werror
+cflags = $(cflags_base)
 depsPlatform = ${openhome_system}-${openhome_architecture}
 header_install = Build/Include
 inc_build = dependencies/$(depsPlatform)/ohNet-$(depsPlatform)-Release/include/ohnet
@@ -334,7 +334,7 @@
        jar = $(JAVA_HOME)/bin/jar
 endif

-java_cflags = -fexceptions -Wall $(version_specific_java_cflags) -Werror -pipe -D_GNU_SOURCE -D_REENTRANT -DDEFINE_$(endian)_ENDIAN -DDEFINE_TRACE $(debug_specific_cflags) $(platform_cflags)
+java_cflags = -fexceptions -Wall $(version_specific_java_cflags) -pipe -D_GNU_SOURCE -D_REENTRANT -DDEFINE_$(endian)_ENDIAN -DDEFINE_TRACE $(debug_specific_cflags) $(platform_cflags)
 jarflags = cf
 dirsep = /
 prefix = /usr/local
diff -ur sc2mpd-1.1.5/work/openhome/ohSongcast/Makefile sc2mpd-1.1.5.altered/work/openhome/ohSongcast/Makefile
--- a/openhome/ohSongcast/Makefile      2016-10-18 02:34:33.000000000 -0500
+++ b/openhome/ohSongcast/Makefile      2020-11-16 20:46:57.123112193 -0600
@@ -38,7 +38,7 @@
 # Macros used by Common.mak

 ar = ${CROSS_COMPILE}ar rc $(objdir)
-cflags = -fexceptions -Wall -Werror -pipe -std=c++11 -D_GNU_SOURCE -D_REENTRANT -DDEFINE_LITTLE_ENDIAN -DDEFINE_TRACE $(debug_specific_flags) -fvisibility=hidden -DDllImport="__attribute__ ((visibility(\"default\")))" -DDllExport="__attribute__ ((visibility(\"default\")))" -DDllExportClass="__attribute__ ((visibility(\"default\")))" $(platform_cflags)
+cflags = -fexceptions -Wall -pipe -std=c++11 -D_GNU_SOURCE -D_REENTRANT -DDEFINE_LITTLE_ENDIAN -DDEFINE_TRACE $(debug_specific_flags) -fvisibility=hidden -DDllImport="__attribute__ ((visibility(\"default\")))" -DDllExport="__attribute__ ((visibility(\"default\")))" -DDllExportClass="__attribute__ ((visibility(\"default\")))" $(platform_cflags)
 ohnetdir = ../ohNet/Build/Obj/$(osdir)/$(build_dir)/
 ohnetgenerateddir = ../ohNetGenerated/Build/Obj/$(osdir)/$(build_dir)/
 ohtopologydir = ../ohTopology/build/
